View Issue Details

IDProjectCategoryView StatusLast Update
0001353DCP-o-matic[All Projects] Featurespublic2020-05-12 18:41
Reporteroverlookmotel Assigned Tocarl  
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
PlatformMacOSOS X OS Version10.11
Product Version2.12.0 
Target Version2.16.0Fixed in Version 
Summary0001353: Custom scale to setting
Description

When making a DCP from content which is both anamorphic and a non-standard aspect, it's not possible to scale the video correctly.

In these cases, none of the "Scale to" presets are appropriate, and "No stretch" treats the content as square pixels so it appears squashed.

Also, it's not uncommon for anamorphic video files not to have the pixel aspect set correctly in metadata, so an option that takes pixel aspect ratio into account also wouldn't work in all cases.

The workaround is to put the video through an editor or FFMPEG first to convert to square pixels.

Would it be possible to have a "custom" option for "Scale to" so this could be done directly in DCP-o-matic?

From my point of view, it'd be ideal if this allowed you to set width and height in pixels so it's possible to set it precisely - I mean as opposed to setting the aspect as e.g. "2.66". Although I recognise that the latter way would be more user-friendly.

This could also be useful for some wacky cases where someone wants the content not to fill the screen and have black space on all sides.

Similarly to https://dcpomatic.com/mantis/view.php?id=1352, it'd be nice if the masking in the DCP name also reflected the custom scaled size.

Tagshide-plan
Branch
Estimated weeks required
Estimated work requiredUnknown

Relationships

has duplicate 0001636 resolvedcarl "No stretch" is wrong for non-square pixels 
has duplicate 0001678 resolvedcarl Please add custom "Scale to" pixel dimensions 

Activities

Carsten

2019-11-08 15:29

manager   ~0003567

Last edited: 2019-11-08 15:34

View 4 revisions

Ooops, I though, this was fixed in 2.15.29, because the Changelog says:

  • Fix incorrect images when cropping without stretch.

But it's a different issue, and doesn't fix the AR scaling of non-square pixel sources.

There's an active thread on the forum about how to deal correctly with a 1:2.75 display AR file with a pixel aspect ratio of 2:1. Tricky. And it appears there is absolutely no workaround within DCP-o-matic.



Carsten

2019-11-09 21:37

manager   ~0003574

...but looks to be solved with https://dcpomatic.com/mantis/view.php?id=1636

carl

2019-11-09 22:02

administrator   ~0003575

Maybe, although op says "it's not uncommon for anamorphic video files not to have the pixel aspect set correctly in metadata, so an option that takes pixel aspect ratio into account also wouldn't work in all cases."

Carsten

2019-11-09 22:45

manager   ~0003576

Last edited: 2019-11-09 22:48

View 6 revisions

Yeah, it may be that 'another' custom setting could be useful. I'm always thinking of 'real' examples that can not be scaled properly with the current set of rules.

I mean, we have seen mainstream DCPs in recent years featuring 2.0:1 and 2.2:1 (2.2:1 also being the standard ratio for many classic and latest 70mm releases). Yet, 2.0;1 and 2.2:1 are missing in the preset list.
In general, for all square pixel files, cropping and letter-/pillarboxing is always a possible solution - however, not intuitively. I usually grab a still and count active pixel dimensions. But that is cumbersome for most users. Solved now with 'No stretch'.

We can not correct files with non-square pixels missing anamorphic flag, if they use an aspect ratio not in the preset list. E.g. I created a squeezed 1.37 version of that 2.75 trailer which misses anamorphic flag as a test. DCP-o-matic interprets it as square pixel, and I can only stretch it to 2.39 max - not 2.75. A custom ratio would solve that final puzzle.

Currently, 'Guess from content' chooses the nearest preset aspect ratio, no? Maybe, 'No strech' is now the better option, as it caters for all intermediate aspect ratios as well.

  • Carsten

overlookmotel

2020-01-06 21:54

reporter   ~0003703

Just to say that I do see this a fair amount, e.g. files which are 720x576 and file metadata says it's square pixels whereas actually it's a PAL pixel aspect (image should be scaled to 16:9 or 4:3).

All fine if you don't need to crop, but if the active picture is a wacky aspect like 2.0:1 letterboxed within it, it's not possible to crop and scale in DCP-o-matic.

As Carsten says, a custom "scale to" option would solve this final piece of the puzzle. Personally, I'd prefer that to be specified in pixels rather than ratio, so you can scale to precisely what you want with pixel accuracy.

carl

2020-05-12 18:41

administrator   ~0003818

Hopefully things are better in the work done for 0001669; let me know if not.

Issue History

Date Modified Username Field Change
2018-08-06 18:29 overlookmotel New Issue
2019-10-29 15:39 carl Status new => confirmed
2019-10-29 15:39 carl Target Version => 2.16.0
2019-10-29 15:39 carl Tag Attached: next-2
2019-11-08 15:29 Carsten File Added: Bildschirmfoto 2019-11-08 um 15.37.41.png
2019-11-08 15:29 Carsten Note Added: 0003567
2019-11-08 15:32 Carsten Note Edited: 0003567 View Revisions
2019-11-08 15:34 Carsten Note Edited: 0003567 View Revisions
2019-11-08 15:34 Carsten Note Edited: 0003567 View Revisions
2019-11-09 17:36 Carsten Relationship added has duplicate 0001636
2019-11-09 21:37 Carsten Note Added: 0003574
2019-11-09 22:02 carl Note Added: 0003575
2019-11-09 22:45 Carsten Note Added: 0003576
2019-11-09 22:46 Carsten Note Edited: 0003576 View Revisions
2019-11-09 22:46 Carsten Note Edited: 0003576 View Revisions
2019-11-09 22:47 Carsten Note Edited: 0003576 View Revisions
2019-11-09 22:47 Carsten Note Edited: 0003576 View Revisions
2019-11-09 22:48 Carsten Note Edited: 0003576 View Revisions
2019-11-24 23:25 carl Relationship added has duplicate 0001678
2019-11-24 23:29 carl Tag Detached: next-2
2019-11-27 19:53 carl Tag Attached: hide-plan
2020-01-06 21:54 overlookmotel Note Added: 0003703
2020-05-12 18:41 carl Assigned To => carl
2020-05-12 18:41 carl Status confirmed => resolved
2020-05-12 18:41 carl Resolution open => fixed
2020-05-12 18:41 carl Note Added: 0003818